<template>
  <div
    class="part"
    :style="{backgroundColor: backgroundColor}">
    <div
      v-if="title && pointed"
      class="part_title-pointed"><span class="point"></span>{{title}}
    </div>
    <div
      v-if="title && !pointed"
      class="part_title">{{title}}
    </div>
    <div
      v-if="subtitle"
      class="part_subtitle">{{subtitle}}
    </div>
    <div class="part_text">
      <slot></slot>
    </div>
  </div>
</template>

<script>
  export default {
    name: "part",
    props: {
      backgroundColor: String,
      fontSize: {
        type: String,
        default: '1rem'
      },
      title: {
        type: String,
        default: ''
      },
      subtitle: {
        type: String,
        default: ''
      },
      pointed: {
        type: Boolean,
        default: true
      }
    }
  }
</script>
<style
  lang="scss"
  scoped>
  .part {
    padding: 0px 20px 20px 20px;
    &_title {
      font-size: 1.2rem;
      padding-bottom: 15px;
      &-pointed {
        font-weight: bold;
        position: relative;
        text-transform: uppercase;
        padding-top: 30px;
        padding-left: 20px;
        padding-bottom: 20px;
        font-size: 1.2rem;
        .point {
          position: absolute;
          left: 0px;
          top: 34px;
          width: 12px;
          height: 12px;
          border-radius: 50%;
          background-color: #02aab4;
        }
      }
    }
    &_subtitle {
      padding-bottom: 20px;
      font-size: 1.2rem;
    }
    &_text {
      color: #a7b6d3;
    }
  }
</style>
